Subject: bug#71313: [PATCH] Allow insert other elisp keywords in auto-insert

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Jun 2024 14:32:54 +0300

> From: "Elijah G." <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked]
> Date: Tue, 04 Jun 2024 18:54:19 -0600
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but how will an empty string "fix bugs from 3rd-party
> > completion UI"?  What am I missing here?
> 
> When using Completions UI such as Vertico or Helm, there is no way to
> exit from Keyword Section to go to next auto-insert Sections unless the
> user press a key sequense, for auto-insert input a empty string allow
> close Keyword section without cancelling the next auto-insert actions.

But why would the user want to exit the Keyword Section without
inputting keywords?  And why are Vertico and Helm special in this
regard?